Bug 1108627 - (CVE-2018-17101) VUL-1: CVE-2018-17101: tiff: two out-of-bounds writes in cpTags in tools/tiff2bw.c and tools/pal2rgb.c
(CVE-2018-17101)
VUL-1: CVE-2018-17101: tiff: two out-of-bounds writes in cpTags in tools/tiff...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/214911/
CVSSv3:SUSE:CVE-2018-17101:4.4:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-09-17 09:20 UTC by Karol Babioch
Modified: 2018-10-31 15:39 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karol Babioch 2018-09-17 09:20:16 UTC
CVE-2018-17101

An issue was discovered in LibTIFF 4.0.9. There are two out-of-bounds writes in
cpTags in tools/tiff2bw.c and tools/pal2rgb.c, which can cause a denial of
service (application crash) or possibly have unspecified other impact via a
crafted image file.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-17101
http://www.cvedetails.com/cve/CVE-2018-17101/
https://gitlab.com/libtiff/libtiff/merge_requests/33/diffs?commit_id=f1b94e8a3ba49febdd3361c0214a1d1149251577
http://bugzilla.maptools.org/show_bug.cgi?id=2807
Comment 1 Karol Babioch 2018-09-17 09:51:01 UTC
All codestreams are affected by this:

SUSE:SLE-10-SP3:Update
SUSE:SLE-11:Update
SUSE:SLE-12:Update
SUSE:SLE-15:Update
Comment 2 Petr Gajdos 2018-10-17 11:33:15 UTC
Will be submitted for: 11,12,15,TW/tiff.
Comment 3 Petr Gajdos 2018-10-19 08:41:09 UTC
I believe all fixed.
Comment 5 Swamp Workflow Management 2018-10-22 11:40:59 UTC
An update workflow for this issue was started.
This issue was rated as moderate.
Please submit fixed packages until 2018-11-05.
When done, reassign the bug to security-team@suse.de.
https://swamp.suse.de/webswamp/wf/64163
Comment 6 Swamp Workflow Management 2018-10-22 19:08:39 UTC
SUSE-SU-2018:3289-1: An update that fixes 6 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1106853,1108627,1108637,1110358
CVE References: CVE-2017-11613,CVE-2017-9935,CVE-2018-16335,CVE-2018-17100,CVE-2018-17101,CVE-2018-17795
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    tiff-4.0.9-44.24.1
SUSE Linux Enterprise Server 12-SP3 (src):    tiff-4.0.9-44.24.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    tiff-4.0.9-44.24.1
Comment 7 Swamp Workflow Management 2018-10-23 16:10:15 UTC
SUSE-SU-2018:3327-1: An update that fixes 5 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1092480,1106853,1108627,1108637,1110358
CVE References: CVE-2018-10779,CVE-2018-16335,CVE-2018-17100,CVE-2018-17101,CVE-2018-17795
Sources used:
SUSE Linux Enterprise Module for Desktop Applications 15 (src):    tiff-4.0.9-5.14.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    tiff-4.0.9-5.14.1
Comment 8 Swamp Workflow Management 2018-10-24 13:09:51 UTC
openSUSE-SU-2018:3370-1: An update that fixes 5 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1092480,1106853,1108627,1108637,1110358
CVE References: CVE-2018-10779,CVE-2018-16335,CVE-2018-17100,CVE-2018-17101,CVE-2018-17795
Sources used:
openSUSE Leap 15.0 (src):    tiff-4.0.9-lp150.4.6.1
Comment 9 Swamp Workflow Management 2018-10-24 13:10:34 UTC
openSUSE-SU-2018:3371-1: An update that fixes 6 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1106853,1108627,1108637,1110358
CVE References: CVE-2017-11613,CVE-2017-9935,CVE-2018-16335,CVE-2018-17100,CVE-2018-17101,CVE-2018-17795
Sources used:
openSUSE Leap 42.3 (src):    tiff-4.0.9-37.1
Comment 10 Swamp Workflow Management 2018-10-24 16:51:08 UTC
SUSE-SU-2018:3391-1: An update that fixes 6 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1106853,1108627,1108637,1110358
CVE References: CVE-2017-11613,CVE-2017-9935,CVE-2018-16335,CVE-2018-17100,CVE-2018-17101,CVE-2018-17795
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    tiff-3.8.2-141.169.19.1
SUSE Linux Enterprise Server 11-SP4 (src):    tiff-3.8.2-141.169.19.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    tiff-3.8.2-141.169.19.1
Comment 11 Marcus Meissner 2018-10-26 06:01:19 UTC
released